<?xml version="1.0" encoding="UTF-8"?>
<!-- (c) https://github.com/MontiCore/monticore -->


<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <pluginGroups>
    <pluginGroup>org.mortbay.jetty</pluginGroup>
    <pluginGroup>de.topobyte</pluginGroup>
  </pluginGroups>

  <proxies>
  </proxies>

  <servers>
    <server>
      <id>se-nexus</id>
      <username>cibuild</username>
      <password>${env.cibuild}</password>
    </server>

    <server>
      <id>github</id>
      <username>travisbuilduser</username>
      <password>${env.travisbuilduserpassword}</password>
    </server>
  </servers>

  <mirrors>
    <mirror>
      <id>se-nexus</id>
      <mirrorOf>external:*</mirrorOf>
      <url>https://nexus.se.rwth-aachen.de/content/groups/public</url>
    </mirror>
  </mirrors>

  <profiles>

    <profile>
      <id>se-nexus</id>
      <repositories>
        <repository>
          <id>central</id>
          <url>http://central</url>
          <releases><enabled /></releases>
          <snapshots><enabled /></snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <url>http://central</url>
          <releases><enabled /></releases>
          <snapshots><enabled /></snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
  </profiles>

  <activeProfiles>
    <activeProfile>se-nexus</activeProfile>
  </activeProfiles>
</settings>
